FAILLOG(8)

NOME
faillog - mostra le registrazioni e imposta i limiti degli accessi falliti

SINOSSI

faillog [opzioni]

DESCRIZIONE

faillog mostra il contentuto del database degli accessi falliti (/var/log/faillog); può anche essere usato per impostare i conteggi e i limiti dei tentativi falliti. Eseguire faillog senza argomenti per ottenere un elenco degli utenti che hanno fallito almeno un tentativo di accesso.

OPZIONI

Il comando faillog accetta le seguenti opzioni:

-a, --all
    Mostra (o opera su) registrazioni faillog per tutti gli utenti presenti nel database faillog.

    L'intervallo di utenti può essere ristretto con l'opzione -u.

    Nella modalità di visualizzazione, questo è già ristretto ai soli utenti esistenti, ma vengono mostrate anche eventuali registrazioni vuote.

    Con le opzioni -l, -m, -r e -t, le registrazioni degli utenti sono modificate anche se l'utente non esiste nel sistema. Questo è utile quando si vogliono azzerare le registrazioni degli utenti cancellati, o per definire in anticipo delle norme per intervalli di utenti.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-l, --lock-secsSEC
    Blocca l'account per SEC secondi dopo un tentativo di accesso fallito.

    Per questa opzione è necessario l'accesso in scrittura a /var/log/faillog.

-m, --maximumMAX
    Imposta a MAX il massimo numero di accessi falliti prima che l'account sia disabilitato.

    Impostare MAX al valore 0 ha l'effetto di non porre nessun limite al numero di accessi falliti.

    Il numero massimo di fallimenti dovrebbe sempre essere 0 per root in modo da evitare attacchi al sistema di tipo «denial of service».

    Per questa opzione è necessario l'accesso in scrittura a /var/log/faillog.

-r, --reset
    Azzera i contatori degli accessi falliti.

    Per questa opzione è necessario l'accesso in scrittura a /var/log/faillog.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-t, --timeGIORNI
    Visualizza le registrazioni faillog più recenti di GIORNI giorni.

-u, --user LOGIN|INTERVALLO
    Mostra la registrazione degli accessi falliti o, se sono state usate le opzioni -r, -m o -l, imposta contatori e limiti solo gli utenti specificati.

    Gli utenti possono essere specificati utilizzando il loro nome oppure l'ID numerico o tramite un INTERVALLO di utenti. Questo INTERVALLO di utenti ha tre forme: tra minimo e massimo (UID_MIN-UID_MAX), fino ad un valore massimo (-UID_MAX) o da un valore minimo (UID_MIN-).

Quando nessuna tra le opzioni -l, -m o -r è utilizzata, faillog mostra le voci dei fallimenti degli utenti specificati.

AVVISI/CAVEAT

faillog mostra solo gli utenti che non hanno effettuato nessun accesso corretto dopo l'ultimo tentativo fallito. Un utente che abbia completato correttamente un accesso dopo l'ultimo tentativo fallito è mostrato solo se viene richiesto esplicitamente con l'opzione -u o se viene richiesto di mostrare tutti gli utenti con l'opzione -a.

FILE

/var/log/faillog
    File per tracciare gli accessi falliti.

VEDERE ANCHE

login(1), faillog(5).